Public Class usrCntlATLAS_EZA_Position

    ''  Public Event ADD()
    ' Public Event REMOVE(id)

    ' Public Event NEXT_POS()
    ' Public Event PREV_POS()
    Dim WARE As DAKOSY_Worker.cDakosy_EZA_Warenposition = Nothing
    Event RohmasseChanged(rohmasse As Double)
    Dim id As Integer = -1

    Dim PK_EDIT = -1
    Dim UL_EDIT = -1
    Dim VP_EDIT = -1


    Dim USRCNTL_EZA As usrCntlATLAS_EZA = Nothing

    Sub New(id As Integer, USRCNTL_EZA As usrCntlATLAS_EZA)
        InitializeComponent()
        Me.id = id
        Me.USRCNTL_EZA = USRCNTL_EZA
    End Sub


    Sub New(id As Integer, WARE As DAKOSY_Worker.cDakosy_EZA_Warenposition, USRCNTL_EZA As usrCntlATLAS_EZA)
        InitializeComponent()
        Me.id = id
        Me.WARE = WARE
        Me.USRCNTL_EZA = USRCNTL_EZA
    End Sub


    Public Sub initSrch(Optional blockEvents As Boolean = False)

        sbPkTyp.initSearchBox(Me.FindForm, " [Code] ,[Description] as Verpackungsart, Code + ' ' +  Description as display FROM tbl_DY_ZollDE_C0017_PackstueckeVerpackungsarten", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbUlArt.initSearchBox(Me.FindForm, " [Code] ,[Description] as Art, Code + ' ' +  Description as display FROM tbl_DY_ZollDE_I0200_Unterlagearten", {"Description", "'%'+Code", "DocumentCode", "Division"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        ' sbExportAusLand.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)
        sbPkTyp.SET_VALUE("Pk")

        setvalue(WARE, blockEvents)
    End Sub

    Private Sub usrCntlATLAS_NCTS_Position_Load(sender As Object, e As EventArgs) Handles Me.Load
        ' cboColliMenge.Items.Clear()
        '  cboColliMenge.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        ' cboColliMenge.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VQ", "VQ"))
        ' cboColliMenge.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VG", "VG"))
        ' cboColliMenge.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VL", "VL"))
        ' cboColliMenge.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VR", "VR"))
        ' cboColliMenge.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VY", "VY"))
        ' cboColliMenge.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VO", "VO"))


        '   Me.Parent.KeyDown += New KeyEventHandler(usrCntlATLAS_NCTS_Position_KeyDown)

        sbPkTyp.initSearchBox(Me.FindForm, " [Code] ,[Description] as Verpackungsart, Code + ' ' +  Description as display FROM tbl_DY_ZollDE_C0017_PackstueckeVerpackungsarten", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbUlArt.initSearchBox(Me.FindForm, " [Code] ,[Description] as Art, Code + ' ' +  Description as display FROM tbl_DY_ZollDE_I0200_Unterlagearten", {"Description", "'%'+Code", "DocumentCode", "Division"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        ' sbExportAusLand.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)
        sbPkTyp.SET_VALUE("Pk")
        ' Me.cboVorangegangenesVerfahren.changeItem(If(WARE.ezaWP_VerfahrensCodeVorangegangenesVerfahren, ""))
        ' Me.cboAngVerfahren.changeItem(If(WARE.ezaWP_AnmeldeVErfahren, ""))

        sbAHStatMasseinheit.initSearchBox(Me.FindForm, " CodeQualifier ,[Description] as Art, CodeQualifier + ' ' +  Description as display FROM [tbl_DY_ZollDE_I0700_Masseinheiten]", {"CodeQualifier", "Description", "'%'+Code"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "CodeQualifier", "CodeQualifier", "display", "FMZOLL", , 400, 200)
        sbUrsprungsland.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)

        cboZT.Items.Clear()
        cboZT.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Absender", "ABS"))
        cboZT.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Empfänger", "EMPF"))
        cboZT.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Anmelder", "ANM"))
        cboZT.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Vertretener", "VERTR"))
        cboZT.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VertreterAnmelder", "VERTRANM"))
        cboZT.changeItem("EMPF")

        cboAngVerfahren.Items.Clear()
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("01 - Überführung von Waren in den zollrechtlich freien Verkehr", "01"))
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("40 - Gleichzeitige Überführung in den zollrechtlich freien Verkehr ohne MWSt-freie Lieferung", "40"))
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("42 - Gleichzeitige Überführung in den zollrechtlich freien Verkehr mit MWSt-freie Lieferung", "42"))
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("45 - Überführung von Waren in den zollrechtlich und mehrwertsteuer- oder verbrauchsteuerrechtlich freien Verkehr und deren Überführung in ein Steuerlagerverfahren ", "45"))
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("49 - Überführung von Gemeinschaftswaren in den steuerrechtlich freien Verkehr im Rahmen des Warenverkehrs zwischen Teilen des Zollgebiets der Gemeinschaft", "49"))
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("61 - Wiedereinfuhr mit gleichzeitiger Überführung in den zoll- und steuerrechtlich freien Verkehr ohne mehrwertsteuerbefreiende Lieferung - Vorübergehende Ausfuhr im Rahmen der passiven Veredelung", "61"))
        cboAngVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("63 - Wiedereinfuhr und gleichzeitige Überführung in den zoll- und steuerrechtlich freien Verkehr mit mehrwertsteuerbefreiender Lieferung in einen anderen Mitgliedstaat. - Vorübergehende Ausfuhr im Rahmen der passiven Veredelung", "63"))

        cboBeguenstigung.Items.Clear()
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("100 - Anwendung des Drittlandszollsatzes (Angabe aus statistischen und dv- technischen Gründen notwendig)", "100"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("110 - Zolltarifliche Maßnahme 'erga omnes' unter Zollaussetzung", "110"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("115 - Zolltarifliche Maßnahme 'erga omnes' unter Zollaussetzung zur besonderen Verwendung (Artikel 82 Zollkodex)", "115"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("118 - Zolltarifliche Maßnahme 'erga omnes' unter Zollaussetzung mit Bescheinigung über die Beschaffenheit der Ware", "118"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("119 - Zolltarifliche Maßnahme 'erga omnes' unter zeitweiliger Aussetzung der Zölle für mit Luftfahrttauglichkeitsbescheinigung eingeführte Waren", "119"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("120 - Zolltarifliche Maßnahme 'erga omnes' im Rahmen eines Zollkontigents", "120"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("123 - Zolltarifliche Maßnahme 'erga omnes' im Rahmen eines Zollkontingents zur besonderen Verwendung", "123"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("125 - Zolltarifliche Maßnahme 'erga omnes' im Rahmen eines Zollkontingents mit Bescheinigung über die Beschaffenheit der Ware", "125"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("128 - Zolltarifliche Maßnahme 'erga omnes' im Rahmen eines Zollkontingents nach passiver Veredelung", "128"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("140 - Zolltarifliche Maßnahme 'erga omnes' zur besonderen Verwendung aufgrund des gemeinsamen Zolltarifs", "140"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("150 - Zolltarifliche Maßnahme 'erga omnes' mit Bescheinigung über die Beschaffenheit der Ware", "150"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("200 - Anwendung des APS Zollsatzes ohne weitere Bedingungen oder Einschränkungen", "200"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("220 - Anwendung des APS Zollsatzes im Rahmen eines Zollkontingents", "220"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("223 - Anwendung des APS Zollsatzes im Rahmen eines Zollkontingents zur besonderen Verwendung", "223"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("225 - Anwendung des APS Zollsatzes im Rahmen eines Zollkontingents mit Bescheinigung über die Beschaffenheit der Ware", "225"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("240 - Anwendung des APS Zollsatzes zur besonderen Verwendung aufgrund des gemeinsamen Zolltarifs", "240"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("250 - Anwendung des APS Zollsatzes mit Bescheinigung über die Beschaffenheit der Ware", "250"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("300 - Anwendung des betreffenden Präferenz-Zollsatzes ohne weitere Bedingungen oder Einschränkungen", "300"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("310 - Präferenzabkommen : Zollaussetzungen", "310"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("315 - Präferenzaussetzung bei Vorlage einer Bewilligung der besonderen Verwendung", "315"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("320 - Anwendung des betreffenden Präferenz-Zollsatzes im Rahmen eines Zollkontingents", "320"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("323 - Anwendung des betreffenden Präferenz-Zollsatzes im Rahmen eines Zollkontingents zur besonderen Verwendung", "323"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("325 - Anwendung des betreffenden Präferenz-Zollsatzes im Rahmen eines Zollkontingents mit Bescheinigung über die Beschaffenheit der Ware", "325"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("340 - Anwendung des betreffenden Präferenz-Zollsatzes zur besonderen Verwendung aufgrund des gemeinsamen Zolltarifs", "340"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("350 - Anwendung des betreffenden Präferenz-Zollsatzes mit Bescheinigung über die Beschaffenheit der Ware", "350"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("400 - Keine Abgabenerhebung in Anwendung der von der Europäischen Union geschlossenen Zollunionsabkommen 	Nach Art. 20 Abs. 1 des Beschlusses Nr. 1/95 (VSF Z 41 25 Nr. 5) ist die Erhebung von Agrarteilbeträgen für bestimmte, landwirtschaftliche Verarbeitungserzeugnisse zulässig, auch wenn diese von der Zollunion erfasst werden.", "400"))
        cboBeguenstigung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("420 - Kontingent im Rahmen einer Zollunion", "420"))


        txtArtikelpreisWaehrung.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_I0400_Waehrungsliste", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)

        setvalue(WARE)

    End Sub


    Sub initZT()
        Button2.Tag = ""
        Button2.Visible = False
        If USRCNTL_EZA IsNot Nothing Then
            Dim ztKdnr = USRCNTL_EZA.getKdnr(cboZT._value)
            If ztKdnr > 0 Then
                sbKundenzolltarif.initSearchBox(Me.FindForm, " zollArt_id,[zollArt_Artikelnummer] AS ArtikelNr,[zollArt_Warencodenummer] as Tarifnummer,[zollArt_Kurzbezeichnung] as Bezeichnung FROM [tblZollArtikel]", {"zollArt_Artikelnummer", "zollArt_Warencodenummer", "zollArt_Kurzbezeichnung", "zollArt_Warenbeschreibung"}, " ( zollArt_Kundennummer ='" & ztKdnr & "') ", "zollArt_Warencodenummer", "zollArt_id", "Tarifnummer", "FMZOLL", , 500, 200, {"zollArt_id"})
                Button2.Visible = True
                Button2.Tag = ztKdnr
            End If
        End If
    End Sub

    Sub setvalue(WARE As DAKOSY_Worker.cDakosy_EZA_Warenposition, Optional blockEvents As Boolean = False)
        If WARE IsNot Nothing Then
            Me.txtWarenbezeichnung.Text = If(WARE.ezaWP_Warenbezeichnung, "")
            Me.txtRohmasse.Text = If(WARE.ezaWP_Rohmasse, "")
            If Not blockEvents Then RaiseEvent RohmasseChanged(If(IsNumeric(txtRohmasse.Text), CDbl(txtRohmasse.Text), 0))
            Me.txtEigenmasse.Text = If(WARE.ezaWP_Eigenmasse, "")
            Me.txtWarenwert._value = If(WARE.ezaWP_Artikelpreis, "")
            Me.txtArtikelpreisWaehrung.SET_VALUE(If(WARE.ezaWP_ArtikelpreisWaehrung, ""))
            '     Me.txtWarennummer.Text = If(WARE.ezaWP_WarennummerEZT, "")

            txtAHStatMenge.Text = If(WARE.ezaWP_AHStatMenge, "")

            sbAHStatMasseinheit.SET_VALUE(If(WARE.ezaWP_AHStatMengeMasseinheit, "") & If(WARE.ezaWP_AHStatMengeQualifier, "").ToString.Trim)

            Me.txtWTZ1.Text = If(WARE.ezaWP_WarennummerZusatzCode1, "")
            Me.txtWTZ2.Text = If(WARE.ezaWP_WarennummerZusatzCode2, "")

            Me.txtWarennummer.Text = If(WARE.ezaWP_WarennummerEZT, "")

            Me.txtPkAnzahl.Text = If(WARE.ezaWP_PackstueckAnzahl, "")
            Me.sbPkTyp._value = If(WARE.ezaWP_PackstueckArt, "")
            Me.txtPkMarke.Text = If(WARE.ezaWP_PackstueckZeichen, "")

            Me.txtPositionszusatz.Text = If(WARE.ezaWP_PositionsZusatz, "")

            Me.cboAngVerfahren.changeItem(If(WARE.ezaWP_AnmeldeVErfahren, ""))
            Me.cboVorangegangenesVerfahren.changeItem(If(WARE.ezaWP_VerfahrensCodeVorangegangenesVerfahren, ""))

            Me.cboBeguenstigung.changeItem(If(WARE.ezaWP_BeguenstigungBenatragtCode, ""))
            Me.sbUrsprungsland.SET_VALUE(If(WARE.ezaWP_UrsprungslandCode, ""))





            dgvUnterlage.Rows.Clear()
            If WARE.ezaWP_UNTERLAGEN IsNot Nothing Then
                For Each Ul In WARE.ezaWP_UNTERLAGEN
                    Dim UlTxt = sbUlArt.GET_VALUE_OnlyReturn(Ul.ezaWpUl_Bereich & "/" & Ul.ezaWpUl_Art)
                    dgvUnterlage.Rows.Add(Ul.ezaWpUl_Bereich & "/" & Ul.ezaWpUl_Art, UlTxt, Ul.ezaWpUl_Nummer, Ul.ezaWpUl_DatumAusstellung, CBool(If(Ul.ezaWpUl_VorlageKz, False).ToString.Replace("J", "1").Replace("N", "0")))
                Next
            End If
        End If
    End Sub


    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        addUnterlage()
    End Sub

    Sub addUnterlage()
        Try
            Label22.Visible = False
            If sbUlArt._value = "" Then Label22.Visible = True : sbUlArt.Focus() : Exit Sub

            If UL_EDIT >= 0 Then
                dgvUnterlage.Rows.RemoveAt(UL_EDIT)
                dgvUnterlage.Rows.Insert(UL_EDIT, sbUlArt._value, sbUlArt.Text, txtUlNummer.Text, txtUlAusstellDat.Text, cbx.Checked)
                UL_EDIT = -1
                Button1.BackgroundImage = My.Resources.plus
                lklBearbeitungAbbrechenUl.Visible = False
            Else
                dgvUnterlage.Rows.Add(sbUlArt._value, sbUlArt.Text, txtUlNummer.Text, txtUlAusstellDat.Text, cbx.Checked)
            End If

            txtUlAusstellDat.Text = "" : txtUlNummer.Text = "" : sbUlArt.SET_VALUE("")
            dgvUnterlage.FirstDisplayedScrollingRowIndex = dgvUnterlage.RowCount - 1
            dgvUnterlage.ClearSelection()
            sbUlArt.Focus()

        Catch ex As Exception
            MsgBox(ex.Message & ex.StackTrace)
        End Try
    End Sub


    Private Sub UnterlageKeyDown(sender As Object, e As KeyEventArgs) Handles txtUlAusstellDat.KeyDown, txtUlNummer.KeyDown, sbUlArt.KeyDown, cbx.KeyDown
        If e.KeyCode = Keys.Return Then
            sbUlArt.Focus() ' Damit datum -_> Leave formatiert wird
            addUnterlage()
            e.Handled = True
        End If
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        If dgvUnterlage.SelectedRows.Count > 0 Then
            If MsgBox("Möchten Sie den Eintrag in 'Unterlagen' wirklich löschen?", vbYesNoCancel) = vbYes Then
                dgvUnterlage.Rows.Remove(dgvUnterlage.SelectedRows(0))
            End If
        End If
        dgvUnterlage.ClearSelection()
    End Sub

    Private Sub txtRohmasse_TextChanged(sender As Object, e As EventArgs) Handles txtRohmasse.TextChanged
        RaiseEvent RohmasseChanged(If(IsNumeric(txtRohmasse.Text), CDbl(txtRohmasse.Text), 0))
    End Sub

    Private Sub dgvUnterlage_CellDoubleClick(sender As Object, e As DataGridViewCellEventArgs) Handles dgvUnterlage.CellDoubleClick
        If e.RowIndex < 0 Then Exit Sub
        editableRowUL(e.RowIndex)
    End Sub

    Sub editableRowUL(index As Integer)
        txtUlNummer.Text = dgvUnterlage.Rows(index).Cells("UlNummer").Value
        sbUlArt.SET_VALUE(dgvUnterlage.Rows(index).Cells("UlCode").Value)
        txtUlAusstellDat.Text = dgvUnterlage.Rows(index).Cells("UlADat").Value
        cbx.Checked = dgvUnterlage.Rows(index).Cells("UlVorhanden").Value
        UL_EDIT = index
        Button1.BackgroundImage = My.Resources.stift
        lklBearbeitungAbbrechenUl.Visible = True
    End Sub

    Private Sub lklBearbeitungAbbrechenUl_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles lklBearbeitungAbbrechenUl.LinkClicked
        UL_EDIT = -1
        txtUlNummer.Text = ""
        sbUlArt.SET_VALUE("")
        txtUlAusstellDat.Text = ""
        Button1.BackgroundImage = My.Resources.plus
        lklBearbeitungAbbrechenUl.Visible = False
    End Sub


    Private Sub txtEigenmasse_TextChanged() Handles txtEigenmasse.ValueChanged, txtRohmasse.ValueChanged
        Label7.Visible = False
        If IsNumeric(txtRohmasse._value) And IsNumeric(txtEigenmasse._value) Then
            If CDbl(txtRohmasse._value) < CDbl(txtEigenmasse._value) Then
                Label7.Visible = True
            End If
        End If
    End Sub

    Private Sub pnl_Paint(sender As Object, e As PaintEventArgs) Handles pnl.Paint

    End Sub

    Private Sub cboAngVerfahren_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboAngVerfahren.SelectedIndexChanged
        cboVorangegangenesVerfahren.Items.Clear()
        cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))

        If cboAngVerfahren._value.StartsWith("01") Then
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("0100 - ", "00"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("0171 - ", "71"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("0178 - ", "78"))
        End If

        If cboAngVerfahren._value.StartsWith("40") Then
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4000 - ", "00"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4010 - ", "10"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4031 - ", "31"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4051 - ", "51"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4054 - ", "54"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4071 - ", "71"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4078 - ", "78"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4090 - ", "90"))
        End If

        If cboAngVerfahren._value.StartsWith("42") Then
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4200 - ", "00"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4210 - ", "10"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4222 - ", "22"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4223 - ", "23"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4251 - ", "51"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4254 - ", "54"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4271 - ", "71"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4278 - ", "78"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4291 - ", "91"))
        End If

        If cboAngVerfahren._value.StartsWith("45") Then
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4500 - ", "00"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4571 - ", "71"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4578 - ", "78"))
        End If

        If cboAngVerfahren._value.StartsWith("49") Then
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4900 - ", "00"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4951 - ", "51"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4954 - ", "54"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4971 - ", "71"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4978 - ", "78"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4991 - ", "91"))
        End If

        If cboAngVerfahren._value.StartsWith("61") Then
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("6121 - ", "21"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("6123 - ", "23"))
        End If

        If cboAngVerfahren._value.StartsWith("63") Then
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("6321 - ", "21"))
            cboVorangegangenesVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("6323 - ", "23"))
        End If

    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs) Handles Button5.Click
        btn380Handelsrg.PerformClick()
        btn018ATR.PerformClick()
        btn7HHFDirektbef.PerformClick()
    End Sub

    Private Sub MySearchBox1_TextChanged() Handles sbKundenzolltarif.VALUE_CHANGED
        If sbKundenzolltarif._value <> "" Then
            Dim ZT As New VERAG_PROG_ALLGEMEIN.cZollArtikel(sbKundenzolltarif._value)
            If ZT IsNot Nothing AndAlso ZT.hasEntry Then
                txtWarennummer.Text = If(ZT.zollArt_Warencodenummer, "")
                txtWarenbezeichnung.Text = If(ZT.zollArt_Warenbeschreibung, "")
                txtWTZ1.Text = If(ZT.zollArt_Zusatzcode_1, "")
                txtWTZ2.Text = If(ZT.zollArt_Zusatzcode_2, "")
            End If
        End If
    End Sub

    Private Sub sbKundenzolltarif_GotFocus(sender As Object, e As EventArgs) Handles sbKundenzolltarif.GotFocus, cboZT.SelectedIndexChanged
        initZT()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        If IsNumeric(Button2.Tag) Then
            Dim f As New frmKundenUebersichtZOLL(Button2.Tag)
            f.selectedTAB = "Zolltarif"
            f.Show(Me)
        End If
    End Sub


    'Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL

    'Private Sub sbAHStatMasseinheit_VALUE_CHANGED() Handles sbAHStatMasseinheit.VALUE_CHANGED
    '    txtAHStatMasseinheitQualifier.Text = SQL.getValueTxtBySql("")
    'End Sub
End Class




